Index: src/main/java/com/example/cookbook/controller/VrabotenController.java
===================================================================
--- src/main/java/com/example/cookbook/controller/VrabotenController.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
+++ src/main/java/com/example/cookbook/controller/VrabotenController.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
@@ -0,0 +1,35 @@
+package com.example.cookbook.controller;
+
+
+import com.example.cookbook.model.Naracka;
+import com.example.cookbook.service.NarackiService;
+import org.springframework.stereotype.Controller;
+import org.springframework.ui.Model;
+import org.springframework.web.bind.annotation.GetMapping;
+
+import java.sql.SQLException;
+import java.util.List;
+
+@Controller
+public class VrabotenController {
+
+    private final NarackiService narcakiService;
+
+    public VrabotenController(NarackiService narcakiService) {
+        this.narcakiService = narcakiService;
+    }
+
+
+    @GetMapping("/naracki")
+    public String getNaracki(Model model){
+
+        List<Naracka> naracki = null;
+        try {
+            naracki = narcakiService.listAll();
+        } catch (SQLException e) {
+            return "redirect:/error-page/SQL%20Exception";
+        }
+        model.addAttribute("naracki", naracki);
+        return "naracki";
+    }
+}
Index: src/main/java/com/example/cookbook/dbConfig/DB.java
===================================================================
--- src/main/java/com/example/cookbook/dbConfig/DB.java	(revision d4d8fb910efb9952fb7c668392de16325221a0e1)
+++ src/main/java/com/example/cookbook/dbConfig/DB.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
@@ -15,4 +15,6 @@
 //    private static final String SSH_PASSWORD = "b6cd27a3";
 
+
+    //Remote database parameters
     private static final String DB_URL = "jdbc:postgresql://localhost:9999/db_202324z_va_prj_cbdb";
     private static final String DB_USERNAME = "db_202324z_va_prj_cbdb_owner";
@@ -20,4 +22,5 @@
 
 
+    //Local database parameters
     private static final String LDB_URL = "jdbc:postgresql://localhost:5432/cbdb";
     private static final String LDB_USERNAME = "postgres";
Index: src/main/java/com/example/cookbook/model/Naracka.java
===================================================================
--- src/main/java/com/example/cookbook/model/Naracka.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
+++ src/main/java/com/example/cookbook/model/Naracka.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
@@ -0,0 +1,39 @@
+package com.example.cookbook.model;
+
+import java.time.LocalDateTime;
+import java.time.format.DateTimeFormatter;
+
+public class Naracka {
+
+    private LocalDateTime vreme;
+
+    private String telefon;
+
+    public Naracka() {
+    }
+
+    public LocalDateTime getVreme() {
+        return vreme;
+    }
+
+    public void setVreme(LocalDateTime vreme) {
+        this.vreme = vreme;
+    }
+
+    public String getTelefon() {
+        return telefon;
+    }
+
+    public void setTelefon(String telefon) {
+        this.telefon = telefon;
+    }
+
+    public Naracka(LocalDateTime vreme, String telefon) {
+        this.vreme = vreme;
+        this.telefon = telefon;
+    }
+    public String getDataFormatirana(){
+        return vreme.format(DateTimeFormatter.ofPattern("yyyy-MMM-dd HH:mm"));
+    }
+
+}
Index: src/main/java/com/example/cookbook/repository/NarackiRepository.java
===================================================================
--- src/main/java/com/example/cookbook/repository/NarackiRepository.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
+++ src/main/java/com/example/cookbook/repository/NarackiRepository.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
@@ -0,0 +1,41 @@
+package com.example.cookbook.repository;
+
+
+import com.example.cookbook.dbConfig.DB;
+import com.example.cookbook.model.Naracka;
+import org.springframework.stereotype.Repository;
+
+import java.sql.Connection;
+import java.sql.ResultSet;
+import java.sql.SQLException;
+import java.sql.Statement;
+import java.time.LocalDateTime;
+import java.util.ArrayList;
+import java.util.List;
+
+@Repository
+public class NarackiRepository {
+
+
+    public List<Naracka> findAll() throws SQLException {
+
+        Connection connection = DB.getConnection();
+        Statement stm = connection.createStatement();
+        String query = "select vreme, telefon from naracki;";
+
+        ResultSet result = stm.executeQuery(query);
+        List<Naracka> naracki = new ArrayList<>();
+
+        while (result.next()){
+            Naracka naracka = new Naracka();
+            naracka.setVreme(result.getObject("vreme", LocalDateTime.class));
+            naracka.setTelefon(result.getString("telefon"));
+            naracki.add(naracka);
+        }
+
+        DB.closeConnection();
+        result.close();
+        stm.close();
+        return naracki;
+    }
+}
Index: src/main/java/com/example/cookbook/service/NarackiService.java
===================================================================
--- src/main/java/com/example/cookbook/service/NarackiService.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
+++ src/main/java/com/example/cookbook/service/NarackiService.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
@@ -0,0 +1,11 @@
+package com.example.cookbook.service;
+
+import com.example.cookbook.model.Naracka;
+
+import java.sql.SQLException;
+import java.util.List;
+
+public interface NarackiService {
+
+    List<Naracka> listAll() throws SQLException;
+}
Index: src/main/java/com/example/cookbook/service/impl/NarackiServiceImpl.java
===================================================================
--- src/main/java/com/example/cookbook/service/impl/NarackiServiceImpl.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
+++ src/main/java/com/example/cookbook/service/impl/NarackiServiceImpl.java	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
@@ -0,0 +1,25 @@
+package com.example.cookbook.service.impl;
+
+
+import com.example.cookbook.model.Naracka;
+import com.example.cookbook.repository.NarackiRepository;
+import com.example.cookbook.service.NarackiService;
+import org.springframework.stereotype.Service;
+
+import java.sql.SQLException;
+import java.util.List;
+
+@Service
+public class NarackiServiceImpl implements NarackiService {
+
+    private final NarackiRepository narackiRepository;
+
+    public NarackiServiceImpl(NarackiRepository narackiRepository) {
+        this.narackiRepository = narackiRepository;
+    }
+
+    @Override
+    public List<Naracka> listAll() throws SQLException {
+        return narackiRepository.findAll();
+    }
+}
Index: src/main/resources/templates/error-page.html
===================================================================
--- src/main/resources/templates/error-page.html	(revision d4d8fb910efb9952fb7c668392de16325221a0e1)
+++ src/main/resources/templates/error-page.html	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
@@ -11,5 +11,5 @@
 <!-- Bootstrap Navbar -->
 <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
-    <a class="navbar-brand" href="#">
+    <a class="navbar-brand" th:href="@{/}">
         CookBook
     </a>
@@ -20,8 +20,8 @@
         <ul class="navbar-nav ml-auto">
             <li class="nav-item active">
-                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
+                <a class="nav-link" th:href="@{/}">Home <span class="sr-only">(current)</span></a>
             </li>
             <li class="nav-item">
-                <a class="nav-link" href="#">About</a>
+                <a class="nav-link" th:href="@{/naracki}">Naracki</a>
             </li>
             <li class="nav-item">
Index: src/main/resources/templates/home.html
===================================================================
--- src/main/resources/templates/home.html	(revision d4d8fb910efb9952fb7c668392de16325221a0e1)
+++ src/main/resources/templates/home.html	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
@@ -11,5 +11,5 @@
 <!-- Bootstrap Navbar -->
 <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
-    <a class="navbar-brand" href="#">
+    <a class="navbar-brand" th:href="@{/}">
         CookBook
     </a>
@@ -20,8 +20,8 @@
         <ul class="navbar-nav ml-auto">
             <li class="nav-item active">
-                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
+                <a class="nav-link" th:href="@{/}">Home <span class="sr-only">(current)</span></a>
             </li>
             <li class="nav-item">
-                <a class="nav-link" href="#">About</a>
+                <a class="nav-link" th:href="@{/naracki}">Naracki</a>
             </li>
             <li class="nav-item">
Index: src/main/resources/templates/naracki.html
===================================================================
--- src/main/resources/templates/naracki.html	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
+++ src/main/resources/templates/naracki.html	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
@@ -0,0 +1,68 @@
+<!DOCTYPE html>
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:th="http://www.thymeleaf.org">
+<head>
+    <meta charset="UTF-8">
+    <title>Home page</title>
+    <!-- Add Bootstrap CSS link -->
+    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
+</head>
+<body>
+<!-- Bootstrap Navbar -->
+<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
+    <a class="navbar-brand" href="#">
+        CookBook
+    </a>
+    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
+        <span class="navbar-toggler-icon"></span>
+    </button>
+    <div class="collapse navbar-collapse" id="navbarNav">
+        <ul class="navbar-nav ml-auto">
+            <li class="nav-item active">
+                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
+            </li>
+            <li class="nav-item">
+                <a class="nav-link" th:href="@{/naracki}">Naracki</a>
+            </li>
+            <li class="nav-item">
+                <a class="nav-link" href="#">Contact</a>
+            </li>
+        </ul>
+    </div>
+</nav>
+
+<div class="container mt-5">
+    <h1>This orders page</h1>
+
+    <table class="table">
+        <thead>
+        <tr>
+            <th>Vreme na narckata</th>
+            <th>Kontakt</th>
+            <th>Action</th>
+        </tr>
+        </thead>
+        <tbody>
+        <tr th:each="naracka: ${naracki}">
+            <td th:text="${naracka.getDataFormatirana()}"></td>
+            <td th:text="${naracka.telefon}"></td>
+            <td>
+                <form th:method="POST" th:action="@{/naracki/naracka}">
+                    <input type="datetime-local" hidden th:value="${naracka.vreme}" th:name="vreme">
+                    <input type="text" hidden th:value="${naracka.telefon}" th:name="telefon">
+                    <button class="btn btn-primary">View</button>
+                </form>
+
+                <button class="btn btn-danger">Delete</button>
+            </td>
+        </tr>
+        </tbody>
+    </table>
+</div>
+
+<!-- Add Bootstrap JS and Popper.js scripts (required for Bootstrap components) -->
+<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
+<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
+<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
+</body>
+</html>
Index: src/main/resources/templates/recept.html
===================================================================
--- src/main/resources/templates/recept.html	(revision d4d8fb910efb9952fb7c668392de16325221a0e1)
+++ src/main/resources/templates/recept.html	(revision cab1b7da3889db5614d47f4ee4b44ac338108290)
@@ -31,5 +31,5 @@
             </li>
             <li class="nav-item">
-                <a class="nav-link" href="#">About</a>
+                <a class="nav-link" th:href="@{/naracki}">Naracki</a>
             </li>
             <li class="nav-item">
